## org.apache.http
Interface HeaderIterator

All Superinterfaces:
  Iterator<Object>

All Known Implementing Classes:
  BasicHeaderIterator, BasicListHeaderIterator

    public interface HeaderIterator

extends Iterator<Object>

A type-safe iterator for `Header` objects.

Since:
  4.0

Method Summary
`boolean` `hasNext()` Indicates whether there is another header in this iteration.
`Header` `nextHeader()` Obtains the next header from this iteration.

Methods inherited from interface java.util.Iterator
`next, remove`

Method Detail

### hasNext

    boolean hasNext()

  Indicates whether there is another header in this iteration.

  Specified by:
    `hasNext` in interface `Iterator<Object>`
  Returns:
    `true` if there is another header, `false` otherwise

### nextHeader

    Header nextHeader()

  Obtains the next header from this iteration. This method should only be called while `hasNext` is true.

  Returns:
    the next header in this iteration

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.